Fetch scheduled emails by batchId or messageId

View as Markdown

Fetch scheduled batch of emails by batchId or single scheduled email by messageId (Can retrieve data upto 30 days old)

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

identifierstringRequired
The `batchId` of scheduled emails batch (must be a valid UUIDv4) or the `messageId` of scheduled email (enclosed in angle brackets with @ sign, e.g. `<...@domain>`). When using `messageId`, the `limit`, `offset`, `sort`, and `status` query parameters are ignored.

Query parameters

startDatedateOptional

Mandatory if endDate is used. Starting date (YYYY-MM-DD) from which you want to fetch the list. Cannot be more than 30 days older than the current date.

endDatedateOptional

Mandatory if startDate is used. Ending date (YYYY-MM-DD) till which you want to fetch the list. Maximum time period that can be selected is one month.

sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed. Not valid when identifier is messageId.

Allowed values:
statusenumOptional

Filter the records by status of the scheduled email batch or message. Not valid when identifier is messageId.

Allowed values:
limitlongOptional0-500Defaults to 100

Number of documents returned per page. Not valid when identifier is messageId.

offsetlongOptionalDefaults to 0

Index of the first document on the page. Not valid when identifier is messageId.

Response

Scheduled email batches
any
OR
any

Errors

400
Bad Request Error
404
Not Found Error